using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class SingleProduct : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
       string sId = Request.QueryString["prod"];
       if (sId != null)
       {
          int id = Convert.ToInt32(sId);
          Product prod = ProductCatalog.GetProductById(id);
          if (prod != null)
          {
             labTitle.Text = prod.Name;
             imgProduct.DescriptionUrl = prod.Name;
             imgProduct.ImageUrl = "~/images/" + prod.Isbn + ".gif";
          }
       }
    }
}
